package crypstie3

import kotlinx.datetime.Clock
import kotlinx.datetime.Instant
import kotlinx.serialization.Serializable
import kotlin.time.Duration.Companion.days

@Serializable
data class ApiCrypstie(
    val guid: String,
    val encryptedData: ByteArray,
    val deleteAt: Instant = Clock.System.now() + 90.days,
    val burnOnShow: Boolean = false,
    val showWide: Boolean = false,
    val syntaxHighlighting: String? = null,
    val editable: Boolean = false,
    val ownerHandle: String? = null,
)
