package crypstie3

import kotlinx.datetime.Instant
import net.sergeych.unikrypto.SymmetricKey

class DecryptedCrypstie(
    val guid: String,
    val data: ByteArray,
    val deleteAt: Instant,
    val burnOnShow: Boolean,
    val ownerHandle: String?
) {
    constructor(key: SymmetricKey, ac: ApiCrypstie)
    : this(ac.guid, key.etaDecrypt(ac.encryptedData), ac.deleteAt, ac.burnOnShow, ac.ownerHandle)

    val text by lazy { data.decodeToString() }
}