package tools

import kotlinx.coroutines.CancellationException
import net.sergeych.mp_tools.decodeBase64
import net.sergeych.mp_tools.decodeBase64Compact
import net.sergeych.mp_tools.encodeToBase64Compact

suspend fun ignoreErrors(block: suspend ()->Unit) {
    try {
        block()
    }
    catch(x: CancellationException) {
        throw x
    }
    catch(t: Throwable) {}
}

fun String.trimOrNull(): String?{
    val s = trim()
    return if( s == "" ) null else s
}

fun String.decodeBase64Url(): ByteArray = replace('.', '+')
    .replace('_', '/')
    .decodeBase64Compact()

fun ByteArray.encodeToBase64Url(): String = encodeToBase64Compact()
    .replace('+', '.')
    .replace('/', '_')

